curl
curl -sS "https://gateway.orbit/api/v1/conn/environments/1/pairings" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"id": 123,
"environment_id": "<string>",
"node_id": 123,
"node_name": "<string>",
"client_label": "<string>",
"issued_at": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Conn
List pairings on a T3 server
Lists the pairing links the Gateway minted on one T3 server, newest first, with the Node and revocation time of each.
GET
/
api
/
v1
/
conn
/
environments
/
{environment}
/
pairings
curl
curl -sS "https://gateway.orbit/api/v1/conn/environments/1/pairings" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": [
{
"id": 123,
"environment_id": "<string>",
"node_id": 123,
"node_name": "<string>",
"client_label": "<string>",
"issued_at": "<string>",
"expires_at": "<string>",
"revoked_at": "<string>"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}